
#ifndef ASTRIMONITORCONFIGURATOR_H_
#define ASTRIMONITORCONFIGURATOR_H_

#include <Base_Configurator.h>
#include <Astri_Monitor.h>


namespace inaf::oasbo::PacketMonitors{
class AstriMonitorConfigurator : public BaseConfigurator{

public:
	AstriMonitorConfigurator(int argc, char **argv);
	AstriMonitorConfigurator();




	BasePacketMonitor * createMonitor();
	AstriPacketMonitor* createAstriMonitor();
	void createAstriMonitor(AstriPacketMonitor &);

	void printConfiguration(){
		std::string confStr = "Monitor Configuration:\n" + this->toString();
		std::cout << confStr << std::endl;
	}

};
}
#endif
