#include <tclap/CmdLine.h>
#include <Astri_Monitor.h>
#include <Astri_Monitor_Configurator.h>

using namespace inaf::oasbo::PacketMonitors;
AstriMonitorConfigurator::AstriMonitorConfigurator(){

}


AstriMonitorConfigurator::AstriMonitorConfigurator(int argc, char ** argv){
	try {
		TCLAP::CmdLine cmd("Usage Description WIP", ' ', "1");
		cmd.ignoreUnmatched(true);
		cmd.parse( argc, argv );



	}catch (TCLAP::ArgException &e){  // catch any exceptions
		std::cerr << "error: " << e.error() << " for arg " << e.argId() << std::endl;
		exit(EXIT_FAILURE);
	}
}


BasePacketMonitor * AstriMonitorConfigurator::createMonitor(){
	return new AstriPacketMonitor();
}

AstriPacketMonitor * AstriMonitorConfigurator::createAstriMonitor(){
	return new AstriPacketMonitor();
}

void AstriMonitorConfigurator::createAstriMonitor(AstriPacketMonitor & monitor){

}


